{ pkgs, ... }:

{
  virtualisation.docker = {
    enable = true;
    daemon.settings = {
      registry-mirrors = [
        "https://mirror.gcr.io"
        "https://dockerhub.timeweb.cloud"
      ];
    };
  };

  environment.systemPackages = with pkgs; [
    docker-compose
  ];
}
